#if 0
#pragma once

namespace mof{



class SceneGraph 
{
public:
	virtual ~SceneGraph(){}
	virtual bool isVisible() const = 0;
	virtual void update() = 0;
	virtual void draw() const = 0;
	//virtual bool isDisposable() const = 0;

};

}
#endif
